%global momorel 1

%define fontname    dejavu
%define fontdir     %{_datadir}/fonts/%{fontname}
%define fontconfdir %{_sysconfdir}/fonts/conf.d

%define archivename %{name}-%{archiveversion}

#define alphatag .20080228svn2189
#define alphatag .rc1

#define archiveversion 2.23-20080305-2191
%define archiveversion %{version}


# Let the perl maintainer worry about Unicode.org data files
%define Blocks          %(eval "$(%{__perl} -V:privlibexp)"; echo $privlibexp)/unicore/Blocks.txt
%define UnicodeData     %(eval "$(%{__perl} -V:privlibexp)"; echo $privlibexp)/unicore/UnicodeData.txt

Name:      %{fontname}-fonts
Version:   2.24
Release:   %{momorel}%{?alphatag}m%{?dist}
Summary:   DejaVu fonts, mature typefaces

Group:     User Interface/X
License:   "Modifiable & redistributable, with naming restrictions"
URL:       http://%{fontname}.sf.net/
Source0:   %{?!alphatag:http://download.sourceforge.net/%{fontname}}%{?alphatag:%{fontname}.sourceforge.net/snapshots}/%{archivename}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# Older fontforge versions will not work due to sfd format changes
BuildRequires: fontforge > 20080110
BuildRequires: perl(Font::TTF)
# Needed to compute unicode coverage
BuildRequires: %{Blocks} %{UnicodeData}
BuildArch: noarch

%description
The DejaVu fonts are a font family based on the "Bitstream Vera" fonts release
1.10. Its purpose is to provide a wider range of characters while maintaining
the original look and feel through the process of collaborative development.

This package includes the typefaces the DejaVu project considers mature.


%package experimental
Group:    User Interface/X
Summary:  DejaVu fonts, experimental typefaces
# Does not really make sense without the core typefaces
Requires: %{name} = %{version}-%{release}


%description experimental
The DejaVu fonts are a font family based on the "Bitstream Vera" fonts release
1.10. Its purpose is to provide a wider range of characters while maintaining
the original look and feel through the process of collaborative development.

This package includes the typefaces the DejaVu project considers experimental.


%package -n %{fontname}-lgc-fonts
Group:    User Interface/X
Summary:  DejaVu fonts, Latin Greek Cyrillic subset
# Could possibly conflict with the main package, as there's really no sense to
# install both
#Conflicts: %{name} <= %{version}-%{release}


%description -n %{fontname}-lgc-fonts
The DejaVu fonts are a font family based on the "Bitstream Vera" fonts release
1.10. Its purpose is to provide a wider range of characters while maintaining
the original look and feel through the process of collaborative development.

This package includes a subset of DejaVu typefaces limited to Latin, Greek and
Cyrillic glyphs.


%prep
%setup -q -n %{archivename}


%build
make %{?_smp_mflags} VERSION=%{version} FC-LANG="" \
     BLOCKS=%{Blocks} UNICODEDATA=%{UnicodeData}

%check
make check


%install
rm -fr %{buildroot}

# Fonts
install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p build/*.ttf  %{buildroot}%{fontdir}

# Fontconfig tweaks
install -m 0755 -d %{buildroot}%{fontconfdir}
install -m 0644 -p fontconfig/*conf %{buildroot}%{fontconfdir}


%clean
rm -fr %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{fontdir}
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{fontdir}
  fi
fi


%post experimental
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{fontdir}
fi


%postun experimental
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{fontdir}
  fi
fi


%post -n %{fontname}-lgc-fonts
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{fontdir}
fi


%postun -n %{fontname}-lgc-fonts
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{fontdir}
  fi
fi



%files
%defattr(0644,root,root,0755)
%doc AUTHORS BUGS LICENSE NEWS README
%doc build/unicover.txt build/langcover.txt build/status.txt

%config(noreplace) %{fontconfdir}/20-unhint-small-%{fontname}.conf
%config(noreplace) %{fontconfdir}/57-%{fontname}.conf

%dir %{fontdir}
%{fontdir}/*.ttf
%exclude %{fontdir}/DejaVu*Condensed*.ttf
%exclude %{fontdir}/DejaVu*ExtraLight*.ttf
%exclude %{fontdir}/DejaVuSerif*Italic.ttf
%exclude %{fontdir}/DejaVuLGC*.ttf


%files experimental
%defattr(0644,root,root,0755)

%config(noreplace) %{fontconfdir}/20-unhint-small-%{fontname}-experimental.conf
%config(noreplace) %{fontconfdir}/61-%{fontname}-experimental.conf

%{fontdir}/DejaVu*Condensed*.ttf
%{fontdir}/DejaVu*ExtraLight*.ttf
%{fontdir}/DejaVuSerif*Italic.ttf

%exclude %{fontdir}/DejaVuLGC*.ttf

%files -n %{fontname}-lgc-fonts
%defattr(0644,root,root,0755)
%doc AUTHORS BUGS LICENSE NEWS README
%doc build/unicover-lgc.txt build/langcover-lgc.txt

%config(noreplace) %{fontconfdir}/20-unhint-small-%{fontname}-lgc.conf
%config(noreplace) %{fontconfdir}/58-%{fontname}-lgc.conf

%{fontdir}/DejaVuLGC*.ttf


%changelog
* Mon Apr 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.24-2m)
- modify %%files

* Sun Apr 20 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.24-1m)
- rename package dejavu-fonts
- sync Fedora

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.15-2m)
- rebuild against gcc43

* Sun Apr  8 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.15-1m)
- import from fc

* Thu Mar 01 2007 Behdad Esfahbod <besfahbo@redhat.com> - 2.15-1
- Update to 2.15
- Define fontconffile and use it

* Tue Jan 09 2007 Behdad Esfahbod <besfahbo@redhat.com> - 2.13-1
- Update to 2.13
- Use .bz2 tarball

* Tue Sep 19 2006 Behdad Esfahbod <besfahbo@redhat.com> - 2.10-1
- Update to 2.10

* Mon Sep 11 2006 Behdad Esfahbod <besfahbo@redhat.com> - 2.9-4
- Fix number change in list of files too

* Mon Sep 11 2006 Behdad Esfahbod <besfahbo@redhat.com> - 2.9-3
- dejavu-lgc-fonts.conf: Use <prefer>.  Install as 59-dejavu-lgc-fonts.conf
  to follow the new fontconfig 2.4 numbering policy.

* Thu Aug 31 2006 Behdad Esfahbod <besfahbo@redhat.com> - 2.9-2
- Don't override Bitstream Vera in our configuration file anymore now that
  we got enough testing and gdm is fixed.

* Fri Aug 24 2006 Behdad Esfahbod <besfahbo@redhat.com> - 2.9-1
- Update to 2.9
- Add langcover.txt and unicover.txt to docs, as they are not empty anymore
- Alias DejaVu Sans Light to DejaVu LGC Sans Light

* Tue Jul 18 2006 Matthias Clasen <mclasen@redhat.com> - 2.8-1
- Update to 2.8
- Add fontconfig configuration to make Dejavu the default
  font and cover Vera

* Fri Jul 14 2006 Behdad Esfahbod <besfahbo@redhat.com> - 2.7-1
- Created based on bitstream-vera-fonts-1.10.6 spec.
